<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var description=document.getElementById("description").value;
var provider_name=document.getElementById("provider_name").value;
var limit=document.getElementById("limit").value;


if(description=="")
description = "NULL";

if(provider_name=="")
provider_name = "NULL";


var url = "<?=site_url("gateway/providerListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(description) + "/" + escape(provider_name) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchProvider()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


var description=document.getElementById("description").value;
var provider_name=document.getElementById("provider_name").value;
var limit=document.getElementById("limit").value;
var startoffset=0;

if(description=="")
description = "NULL";

if(provider_name=="")
provider_name = "NULL";


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("gateway/providerListPagination")?>";
var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(description) + "/" + escape(provider_name) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}





</script>



<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <div class="quickmenu">
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="<?=site_url('gateway/providerAddForm')?>">Add New Gatway</a>
                  </div>

                  <span>&nbsp;&nbsp;&raquo;</span> <?=$titleMessage?>  <span style='color:#BF0000'><?=$titleErrorMessage?> </span>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">IP Address :</td>
    <td align="left"><input type="text" class = "formInput" name="ip_address" id="ip_address" value="" style="width:90px"/></td>

    <td align="right">Description :</td>
    <td align="left"><input type="text" class = "formInput" name="description" id="description" value="" style="width:90px"/></td>

    <td align="right">Provider :</td>
    <td align="left"><input type="text" class = "formInput" name="full_name" id="full_name" value="" style="width:90px"/></td>

    <td align="right">Phone :</td>
    <td align="left"><input type="text" class = "formInput" name="phone" id="phone" value="" style="width:90px"/></td>

    <td align="right">Rate :</td>
    <td align="left">
    <select name="id_rate" id="id_rate" class = "selectFrom">
    <?=$rateList?>
    </select>
    </td>

    <td align="right">Records :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" onchange="searchProvider();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchProvider();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> All Gateways Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">Provider</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">Description</div></td>
     <td width="15%"><div align="left" style="padding-left:5px;">IP</div></td>
     <td width="15%"><div align="left" style="padding-left:5px;">Rate</div></td>
     <td width="7%"><div align="left" style="padding-left:5px;">CallLimit</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">TechPrefix</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">Login</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">Password</div></td>
     <td width="5%"><div align="left" style="padding-left:5px;">Status</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Edit</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Del</div></td>

   </tr>



<?
$i=1;
if(is_array($providerList))
{
foreach($providerList as $row)
{
$passid =$row->id;



?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->provider_name?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->description?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->contact_name?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->contact_email?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->contact_phone?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->office_email?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->office_phone?></td>


 <td align=center class="tableBorderAll" style="padding-left:5px;">
   <a href="<?=site_url('gateway/editProviderForm/'.$row->id)?>" title="Edit Provider" >
   <img src="<?=base_url()?>images/contact_blue_edit.png" border="0" height="16">
   </a>
 </td>

 <td align=center  style="padding-left:5px;">
  <a href="<?=site_url('gateway/deleteProvider/'.$row->id)?>" onclick="return confirm('Do you really want to remove this Provider')" title="Delete Provider" >
  <img src="<?=base_url()?>images/remove.png" border="0" height="16">
  </a>
 </td>

   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="description" id="description" value="<?=$description?>" />
	<input type="hidden" name="provider_name" id="provider_name" value="<?=$provider_name?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />



<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
